'\" t
.\"     Title: vipw
.\"    Author: Marek Micha\(/lkiewicz
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 08/22/2022
.\"    Manual: Polecenia Zarządzania Systemem
.\"    Source: shadow-utils 4.12.3
.\"  Language: Polish
.\"
.TH "VIPW" "8" "08/22/2022" "shadow\-utils 4\&.12\&.3" "Polecenia Zarządzania Systemem"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAZWA"
vipw, vigr \- edytuj plik hase\(/l, grup lub ich wersji chronionych
.SH "STRESZCZENIE"
.HP \w'\fBvipw\fR\ 'u
\fBvipw\fR [\fIopcje\fR]
.HP \w'\fBvigr\fR\ 'u
\fBvigr\fR [\fIopcje\fR]
.SH "OPIS"
.PP
The
\fBvipw\fR
and
\fBvigr\fR
commands edits the files
/etc/passwd
and
/etc/group, respectively\&. With the
\fB\-s\fR
flag, they will edit the shadow versions of those files,
/etc/shadow
and
/etc/gshadow, respectively\&. The programs will set the appropriate locks to prevent file corruption\&. When looking for an editor, the programs will first try the environment variable
\fB$VISUAL\fR, then the environment variable
\fB$EDITOR\fR, and finally the default editor,
\fBvi\fR(1)\&.
.SH "OPCJE"
.PP
The options which apply to the
\fBvipw\fR
and
\fBvigr\fR
commands are:
.PP
\fB\-g\fR, \fB\-\-group\fR
.RS 4
Edycja bazy grup\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Wyświetlenie komunikatu pomocy i zakończenie dzia\(/lania\&.
.RE
.PP
\fB\-p\fR, \fB\-\-passwd\fR
.RS 4
Edycja bazy passwd\&.
.RE
.PP
\fB\-q\fR, \fB\-\-quiet\fR
.RS 4
Cichy tryb pracy\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-s\fR, \fB\-\-shadow\fR
.RS 4
Edycja bazy shadow lub gshadow\&.
.RE
.SH "ENVIRONMENT"
.PP
\fBVISUAL\fR
.RS 4
Editor to be used\&.
.RE
.PP
\fBEDITOR\fR
.RS 4
Editor to be used if
\fBVISUAL\fR
is not set\&.
.RE
.SH "PLIKI"
.PP
/etc/group
.RS 4
Informacje o grupach użytkownik\('ow\&.
.RE
.PP
/etc/gshadow
.RS 4
Informacje chronione o grupach użytkownik\('ow\&.
.RE
.PP
/etc/passwd
.RS 4
Informacja o kontach użytkownik\('ow\&.
.RE
.PP
/etc/shadow
.RS 4
Informacje chronione o użytkownikach\&.
.RE
.SH "ZOBACZ TAKŻE"
.PP
\fBvi\fR(1),
\fBgroup\fR(5),
\fBgshadow\fR(5)
,
\fBpasswd\fR(5), ,
\fBshadow\fR(5)\&.
